

// 客户搜索字段
export const UserSearchForm = [
    {
      type: "input",
      label: "客户名称",
      field: "name",
      value: "", // 双向绑定的值
    },
    {
      type: "input",
      label: "客户账号",
      field: "username",
      value: "", // 双向绑定的值
    },
    {
      type: "select",
      label: "客户状态",
      field: "state",
      options: [], // 默认空，后面会通过字典加载
      dict: "userType",
      value: "", // 双向绑定的值
      width: "200",
    },
    {
      type: "range-picker",
      label: "创建时间",
      field: "createdAt",
      value: [], // 双向绑定的值
      width: "300",
      Custom: 'mode="month"', // 自定义值
    },
  ];
  
  export const UserColumns = [
    {
      title: window.$t("customer.id"),
      dataIndex: "id",
      align: "center",
      ellipsis: true,
    },
    {
      title: window.$t("customer.customerName"),
      dataIndex: "name",
      align: "center",
      ellipsis: true,
    },
    {
      title: window.$t("customer.userAdmin"),
      dataIndex: "username",
      align: "center",
      minWidth: "200",
    },
    {
      title: window.$t("customer.cardNum"),
      dataIndex: "simCount",
      align: "center",
      minWidth: "200",
    },
    {
      title: window.$t("customer.customerStatus"),
      slotName: "state",
      align: "center",
      ellipsis: true,
    },
    { title: "app_key  ", dataIndex: "appKey", align: "center", ellipsis: true },
    {
      title: "app_secret",
      dataIndex: "appSecret",
      align: "center",
      ellipsis: true,
    },
    {
      title: window.$t("customer.startTime"),
      dataIndex: "createdAt",
      align: "center",
      ellipsis: true,
    },
    {
      title: window.$t("customer.updateTime"),
      dataIndex: "updatedAt",
      align: "center",
      ellipsis: true,
    },
    {
      title: window.$t("global.common.operations"),
      slotName: "operation",
      align: "center",
      ellipsis: true,
      fixed: "right",
    },
  ];